### Method

# GLib SequenceIter compare

since: 2.14

#### Declaration

    gint
    g_sequence_iter_compare (
      GSequenceIter* a,
      GSequenceIter* b
    )

#### Description

Returns a negative number if `a` comes before `b`, 0 if they are equal, and a positive number if `a` comes after `b`.

The `a` and `b` iterators must point into the same sequence.

Available since: 2.14

#### Parameters

`b`

  Type: `GSequenceIter`

  A `GSequenceIter`.

  The data is owned by the caller of the method.

#### Return value

Type: `gint`

A negative number if `a` comes before `b`, 0 if they are equal, and a positive number if `a` comes after `b`.